<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Team\Models\Team;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Event::class, static function ($faker) {
    return [
        'name' => $faker->word,
        'status' => 'unpublished',
    ];
});

$factory->state(Event::class, 'unpublished', static function () {
    return [
        'status' => 'unpublished',
    ];
});

$factory->state(Event::class, 'registration_open', static function () {
    return [
        'status' => 'registration_open',
    ];
});

$factory->state(Event::class, 'closed', static function () {
    return [
        'status' => 'closed',
    ];
});

$factory->state(Event::class, 'post_event', static function () {
    return [
        'status' => 'post_event',
    ];
});

$factory->state(Event::class, 'archived', static function () {
    return [
        'status' => 'archived',
    ];
});

$factory->state(Event::class, 'has-team', []);

$factory->afterCreatingState(Event::class, 'has-team', static function (Event $event) {
    $team = factory(Team::class)->state('snapshot')->create();

    $event->teams()->sync($team);
});
