<?php

namespace EventPortal\Tests\Feature\Admin\Permission;

use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\Support\Factories\PermissionFactory;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class PermissionIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test **/
    public function shows_index()
    {
        $user = factory(User::class)->create();

        PermissionFactory::makeWithRoleAndGroup(5);

        $this->assertMatchesJsonSnapshot(
            $this->actingAs($user)
                ->get(route('admin.permission.index'))->props()
        );
    }
}
