<?php

namespace EventPortal\Tests\Unit\Event\Models;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class EventTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function event_is_audited_when_updated()
    {
        config(['audit.console' => true]); // This needs to be before create, or no update audit is created

        $event = factory(Event::class)->create(['name' => 'Hello World!']);
        $event->update(['name' => 'Updated World!']);

        $this->assertCount(2, $event->audits); // Created and updated
        $updatedAudit = $event->fresh()->audits->last();

        $this->assertArraySubset([
            'name' => 'Hello World!',
        ], $updatedAudit->old_values);
        $this->assertArraySubset([
            'name' => 'Updated World!',
        ], $updatedAudit->new_values);
    }
}
